/*----- BASICS -----*/
body {
    font-family:var(--Description-Font);
    font-size:var(--Description-Text-Size);
    color:var(--Description-Text-Color);
    line-height:1.6;
}

blockquote {
    margin:10px;
    padding-left:10px;
    border-left:1px solid var(--Sidebar-Divider-Color);
}

a {
    color:var(--Description-Links);
    text-decoration:none;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
}

pre, code {
    white-space:pre-wrap;
}

hr {
    width:70%;
    border-width:0px;
    height:1px;
    background-color:var(--Sidebar-Divider-Color);
}

img {
    vertical-align:middle;
    max-width:100%;
}

.flex, [flex]{
    display:flex;
    align-items:center;
}

/*----- TOP LEFT INTRO -----*/
[back-to-blog]{
    margin-right:calc(var(--Back-Icon-Right-Gap) - var(--Back-Icon-Padding));
    font-size:0;
    line-height:0;
    margin-left:calc(0px - var(--Back-Icon-Padding));
    padding:var(--Back-Icon-Padding);
}

[back-to-blog][icon-name*="chevron"]{
    margin-left:calc(0px - 5px - 3px);
}

/*-------- ALBUM COVER & VINYL --------*/
[igwsj]{
    width:100%;
    height:calc(100% - var(--Navbar-Total-Height));
    display:table;
}

[lhcwt]{
    display:table-cell;
    vertical-align:middle;
}

/*---- HIDDEN ROOT (STUFF) ----*/
[playlist-buttons] [text]::selection {background:transparent; color:inherit;}
[playlist-buttons] [text]::-moz-selection {background:transparent; color:inherit;}

[playlist-main]{scrollbar-width:thin;} /* FF only */

[bakadiv]{display:none;}

[bootons],[song-duration]{flex-shrink:0;}

[song-name]{
    line-height:var(--Song-Name-LineHeight);
}

[bootons],[song-duration]{
    align-self:baseline;
    margin-top:var(--kmlmd);
}

[song-duration]{line-height:1em;}

[artist-name]{
    line-height:var(--Artist-Name-LineHeight);
}

[album-name]{
    line-height:var(--Album-Name-LineHeight);
}

[navbar]{
    line-height:var(--Navbar-Title-LineHeight);
}

[some-links] [divider]::selection {
    background:transparent;
    color:var(--Navbar-Links-Divider-Color);
}

[some-links] [divider]::-moz-selection {
    background:transparent;
    color:var(--Navbar-Links-Divider-Color);
}

:root {
    --Intro-Title-Line-Height:1.3; /* number only */
    --Intro-Subtitle-Line-Height:1.3; /* number only */
    --Song-Name-LineHeight:1.69; /* number only */
    --kmlmd:calc(((var(--Song-Name-Text-Size) * var(--Song-Name-LineHeight)) - var(--Song-Name-Text-Size)) / 2);
    
    --Navbar-Title-LineHeight:1.3; /* number only */
    --qugiw:calc(((var(--Navbar-Title-Size) * var(--Navbar-Title-LineHeight)) - var(--Navbar-Title-Size)) / 2);
    
    --Artist-Name-LineHeight:1.6;
    --Album-Name-LineHeight:1.6;
    
}

/*---- CREDIT ----*/
.crdz {
    position:fixed;
    display:block;
    bottom:0;right:0;
    padding-bottom:var(--Credit-Corner-Gap);
    padding-right:var(--Credit-Corner-Gap);
    width:var(--Credit-Area-Size);
    height:var(--Credit-Area-Size);
    z-index:69;
}

.crhuh {
    position:relative;
    width:100%;
    height:100%;
    pointer-events:none;
}

.crdz [crd-dot]{
    position:absolute;
    width:var(--Credit-Dots-Size);
    height:var(--Credit-Dots-Size);
    background:var(--Credit-Dots-Color);
    border-radius:100%;
    pointer-events:none;
}

.crdz [crd-dot][a]{
    top:0;left:0;
}

.crdz [crd-dot][b]{
    top:0;right:0;
}

.crdz [crd-dot][c]{
    bottom:0;left:0;
    margin-bottom:2px;
    margin-left:calc((var(--Credit-Area-Size) / 2) - (var(--Credit-Dots-Size) / 2));
}

/*----- CUSTOMIZE PANEL MSG -----*/
[ap-msg]{
    position:fixed;
    top:0;left:0;
    width:100%;
    padding:10px 12px;
    background:#2E3235;
    box-sizing:border-box;
    font-family:var(--Song-Name-Font);
    color:#c2c2c2;
    text-align:center;
    margin-top:-100px;
    transition:margin-top 0.69s ease-in-out;
}

[pom]{
    margin:auto;
    width:70%;
    text-align:center;
}

[ap-msg] .ph {
    position:absolute;
    top:50%;transform:translateY(-50%);
    right:0;margin-right:10px;
    padding:5px;
    font-size:14px;
    color:#aaa;
    cursor:pointer;
}

[msg-prompt]{
    position:fixed;
    top:0;right:0;
    margin-top:40px;
    margin-right:-35vw;
    width:35vw;
    background:#333;
    padding:14px 16px;
    box-sizing:border-box;
    
    padding-right:calc(16px - 3px);
    border-left:4px solid #b4af9a;
    
    border-radius:4px;
    box-shadow:-0.7vw 1vw 3vw #151515;
    font-size:12px;
    color:#ccc;
    z-index:9;
    display:none;
}

[msg-prompt].swip {
    transition:margin-right 0.420s ease-in-out;
}

[msg-prompt] a {
    padding-bottom:1.5px;
    border-bottom:1px solid #666;
    font-family:rubik;
    font-weight:400;
    text-transform:uppercase;
    font-size:10px;
    letter-spacing:.7px;
    color:#c3c58c;
}
